<div class="columns">
  <div class="column">
    <form class="event-form"
          name="form"
          novalidate>

      <div class="columns">
        <div class="column is-half">

          <label class="label" for="eventNameTf">Bezeichnung</label>
          <p class="control has-icon has-icon-right">
            <input type="text"
                   name="eventNameTF"
                   class="input"
                   ng-class="!form.eventNameTF.$touched ? '' : (form.eventNameTF.$valid ? 'is-success' : 'is-danger')"
                   style="max-width: 100%;"
                   id="eventNameTf"
                   ng-model="myEvent.name"
                   placeholder="Bezeichnung"
                   ng-required="true"
                   required autofocus>
            <i class="fa fa-warning"
               ng-if="form.eventNameTF.$touched && !form.eventNameTF.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="form.eventNameTF.$touched && !form.eventNameTF.$valid">
              Bezeichnung ist erforderlich.
            </span>
          </p>

          <label class="label" for="eventContactTf">Ansprechpartner</label>
          <p class="control has-icon has-icon-right">
            <input type="text"
                   name="eventContactTf"
                   class="input"
                   ng-class="!form.eventContactTf.$touched ? '' : 
                             (form.eventContactTf.$valid ? 'is-success' : 'is-danger')"
                   style="max-width: 100%;"
                   id="eventContactTf"
                   ng-model="myEvent.contact"
                   placeholder="Ansprechpartner"
                   ng-required="true"
                   required autofocus>
            <i class="fa fa-warning"
               ng-if="form.eventContactTf.$touched && !form.eventContactTf.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="form.eventContactTf.$touched && !form.eventContactTf.$valid">
              Ansprechpartner ist erforderlich.
            </span>
          </p>

          <label class="label">Datum</label>
          <p class="control">
            <label class="checkbox">
              <input type="checkbox"
                     ng-model="multiDay">
              Mehrtägig
            </label>
          </p>
          <div class="columns">
            <div class="column">
              <p class="control has-icon has-icon-right">
                <input type="text" name="dateStartTF"
                     class="input"
                     ng-class="!form.dateStartTF.$touched ? '' : (form.dateStartTF.$valid ? 'is-success' : 'is-danger')"
                     placeholder="Format: TT.MM.JJJJ"
                     ng-model="myEvent.date.start"
                     ng-pattern="/^(0[1-9]|[1-2][0-9]|3[0-1]).(0[1-9]|1[0-2]).[0-9]{4}$/"
                     required>
                <i class="fa fa-warning"
                   ng-if="form.dateStartTF.$touched && !form.dateStartTF.$valid">
                </i>
                <span class="help is-danger is-pulled-right"
                      ng-if="form.dateStartTF.$touched && !form.dateStartTF.$valid">
                  Datum fehlt oder hat falsches Format.
                </span>
              </p>
            </div>
            <div class="column" ng-if="multiDay">
              <p class="control has-icon has-icon-right">
                <input type="text" name="dateEndTF"
                     class="input"
                     ng-class="!form.dateEndTF.$touched ? '' : (form.dateEndTF.$valid ? 'is-success' : 'is-danger')"
                     placeholder="Format: TT.MM.JJJJ"
                     ng-model="myEvent.date.end"
                     ng-pattern="/^(0[1-9]|[1-2][0-9]|3[0-1]).(0[1-9]|1[0-2]).[0-9]{4}$/"
                     required>
                <i class="fa fa-warning"
                   ng-if="form.dateEndTF.$touched && !form.dateEndTF.$valid">
                </i>
                <span class="help is-danger is-pulled-right"
                      ng-if="form.dateEndTF.$touched && !form.dateEndTF.$valid">
                  Datum fehlt oder hat falsches Format.
                </span>
              </p>
            </div>
          </div>

          <label class="label">Uhrzeit</label>
          <div class="columns">
            <div class="column">
              <label class="label">Beginn</label>
              <p class="control has-icon has-icon-right">
                <input type="text" name="timeBeginTF"
                     class="input"
                     ng-class="!form.timeBeginTF.$touched ? '' : (form.timeBeginTF.$valid ? 'is-success' : 'is-danger')"
                     placeholder="Beginn (Format: HH:MM)"
                     required
                     ng-model="myEvent.timeBegin"
                     ng-pattern="/^(0[1-9]|1[0-9]|2[0-3]):([0-5][0-9])$/">
                <i class="fa fa-warning"
                   ng-if="form.timeBeginTF.$touched && !form.timeBeginTF.$valid">
                </i>
                <span class="help is-danger is-pulled-right"
                      ng-if="form.timeBeginTF.$touched && !form.timeBeginTF.$valid">
                  Beginn Ende fehlt oder hat falsches Format.
                </span>
              </p>
            </div>
            <div class="column">
              <label class="label">Ende</label>
              <p class="control has-icon has-icon-right">
                <input type="text" name="timeEndTF"
                     class="input"
                     ng-class="!form.timeEndTF.$touched ? '' : (form.timeEndTF.$valid ? 'is-success' : 'is-danger')"
                     placeholder="Ende (Format: HH:MM)"
                     required
                     ng-model="myEvent.timeEnd"
                     ng-pattern="/^(0[1-9]|1[0-9]|2[0-3]):([0-5][0-9])$/">
                <i class="fa fa-warning"
                   ng-if="form.timeEndTF.$touched && !form.timeEndTF.$valid">
                </i>
                <span class="help is-danger is-pulled-right"
                      ng-if="form.timeEndTF.$touched && !form.timeEndTF.$valid">
                  Ende fehlt oder hat falsches Format.
                </span>
              </p>
            </div>
          </div>

          <label class="label" for="eventRoomId">Raum</label>
          <p class="control">
            <span class="select">
              <select name="roomSel"
                      ng-options="room as room.name for room in rooms track by room.id"
                      ng-model="myEvent.room"
                      required>
              </select>
            </span>

            <span class="help is-danger"
                  ng-if="form.roomSel.$touched && !form.roomSel.$valid">
                Bitte Raum auswählen.
            </span>
          </p>

          <div class="columns">
            <!-- column left -->
            <div class="column"></div>
            <!-- column right -->
            <div class="column">
              <p class="control is-grouped is-pulled-right">
                <button type="button"
                        ng-if="creating"
                        ng-disabled="!form.$valid"
                        class="control button is-success"
                        ng-click="saveEvent()">Speichern</button>
                <button type="button"
                        ng-if="updating"
                        class="control button is-warning"
                        ng-click="updateEvent()">Ändern</button>
                <button type="reset"
                        ng-click="cancel()"
                        class="control button is-default">Zurücksetzen</button>
              </p>
            </div>
          </div>

        </div><!-- .column -->
      </div><!-- .columns -->

    </form>

  </div><!-- .column -->

</div><!-- .columns -->

<hr ng-show="message">
<div class="columns" ng-show="message">
  <div class="column">
    <div class="notification is-warning"
         role="alert">{{message}}</div>
  </div>
</div>
